package cn.com.ty.chat.mapper.entity;

import cn.com.ty.chat.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 用户未读聊天消息记录 （已读就删除。）
 * 
 * @author Xson
 * @date 2020-05-14
 */
@Data
@TableName(value = "chat_unread_msg")
public class ChatUnreadMsgEntity extends BaseEntity {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;

    /**
     * session 会话
     */
    private String sessionid;

    /**
     * 来自   
     */
    private Integer fromUser;

    /**
     * 到达
     */
    private Integer toUser;

    /**
     * 信息 聊天信息
     */
    private String msg;

    /**
     * 消息类型：1文本、2图片、3视频、4语音
     */
    private Integer type;

    /**
     * 状态 1:正常0:屏蔽
     */
    private Integer statuz;

}
