package cn.com.ty.chat.service.impl;

import cn.com.ty.chat.service.IChatSessionService;
import cn.com.ty.chat.mapper.ChatSessionMapper;
import cn.com.ty.chat.mapper.entity.ChatSessionEntity;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 会话 -ServiceImpl
 *
 * @author Xson
 * @date 2020-04-23
 */
@Service
@Transactional
public class ChatSessionServiceImpl extends ServiceImpl<ChatSessionMapper, ChatSessionEntity> implements IChatSessionService {
    @Override
    /**
     * 系统启动的时候加载放假及用户信息
     */
    public List<ChatSessionEntity> findAllSession() {
        return baseMapper.findAllSession();
    }
}
