package cn.com.ty.lift.system.settings.dao.mapper;

import cn.com.ty.lift.system.settings.dao.entity.MaintenanceCompany;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 维保公司 Mapper 接口
 * </p>
 *
 * @author huangy
 * @since 2019-12-09
 */
public interface MaintenanceCompanyMapper extends BaseMapper<MaintenanceCompany> {


    /**
     * 维保公司ID查询维保公司信息,默认查询企业管理员为公司的创建者
     *
     * @param ids
     * @return
     */
    List<MaintenanceCompany> getList(@Param("ids") List<Long> ids);

}
